Python3 - rtupdate hook error

aliahmeddar

New Member
Joined
Jun 27, 2020
Messages
1
Reaction score
0
Credits
51
sudo dpkg --configure python3

--or it may be any command regarding updating an app or package. it started occuring after I upgraded Python in my laptop


Setting up python3 (3.8.2-3) ...
running python rtupdate hooks for python3.8...
/usr/share/responder/servers/Browser.py:19: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/DNS.py:19: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/FTP.py:18: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/HTTP.py:20: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/HTTP_Proxy.py:18: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/Kerberos.py:20: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/MSSQL.py:21: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/POP3.py:18: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/Proxy_Auth.py:18: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/RDP.py:22: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/SMB.py:20: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/servers/SMTP.py:19: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/settings.py:209: SyntaxWarning: "is not" with a literal. Did you mean "!="?
if len(self.NumChal) is not 16 and not "random":
/usr/share/responder/tools/MultiRelay.py:418: SyntaxWarning: "is not" with a literal. Did you mean "!="?
if data.find("NTLM") is not -1:
/usr/share/responder/tools/MultiRelay.py:423: SyntaxWarning: "is not" with a literal. Did you mean "!="?
if data.find("NTLM") is not -1:
/usr/share/responder/tools/RunFinger.py:61: SyntaxWarning: "is" with a literal. Did you mean "=="?
if PY2OR3 is "PY2":
/usr/share/responder/tools/RunFinger.py:68: SyntaxWarning: "is" with a literal. Did you mean "=="?
if PY2OR3 is "PY2":
/usr/share/responder/tools/RunFinger.py:74: SyntaxWarning: "is" with a literal. Did you mean "=="?
if PY2OR3 is "PY2":
/usr/share/responder/tools/RunFingerPackets.py:14: SyntaxWarning: "is" with a literal. Did you mean "=="?
if PY2OR3 is "PY2":
/usr/share/responder/utils.py:29: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY3":
/usr/share/responder/utils.py:110: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY2":
/usr/share/responder/utils.py:170: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY2":
/usr/share/responder/utils.py:178: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY2":
/usr/share/responder/utils.py:185: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY2":
/usr/share/responder/utils.py:191: SyntaxWarning: "is" with a literal. Did you mean "=="?
if settings.Config.PY2OR3 is "PY2":
Traceback (most recent call last):
File "/usr/lib/python3.8/py_compile.py", line 197, in main
compile(filename, doraise=True)
File "/usr/lib/python3.8/py_compile.py", line 142, in compile
source_bytes = loader.get_data(file)
File "<frozen importlib._bootstrap_external>", line 972, in get_data
FileNotFoundError: [Errno 2] No such file or directory: '/usr/share/set/src/fasttrack/exploits/mysql_bypass.py'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
return _run_code(code, main_globals, None,
File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
exec(code, run_globals)
File "/usr/lib/python3.8/py_compile.py", line 218, in <module>
sys.exit(main())
File "/usr/lib/python3.8/py_compile.py", line 204, in main
if quiet < 2:
NameError: name 'quiet' is not defined
error running python rtupdate hook set
dpkg: error processing package python3 (--configure):
installed python3 package post-installation script subprocess returned error exit status 4
Errors were encountered while processing:
python3
 


arochester

Moderator
Staff member
Gold Supporter
Joined
Apr 25, 2017
Messages
1,636
Reaction score
1,303
Credits
3,111
In simple terms, what are you trying to do? Install Python 3?

What distro are you using?
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Linux.org Hosting Donations
Consider making a donation


Top